version: '3.9'
services:
  mongodb-pid:
    image: mongo:4.4.0
    container_name: mongodb-pid
    ports:
      - "27017:27017"
    environment:
      MONGO_INITDB_DATABASE: pid-statistics
    volumes:
      - /mnt/data/pidadm/mongo-data:/home/data/pid
    networks:
      - prefix-info

  pid-api:
    image: docker.gitlab.gwdg.de/epic/epic-dice-pid-api
    container_name: pid-api
    networks:
      - prefix-info

  pid-ui:
    image: docker.gitlab.gwdg.de/epic/epic-dice-pid-info
    container_name: pid-ui
    ports:
      - "80:80"
    networks:
      - prefix-info

networks:
  prefix-info:
    name: prefix-info
    driver: bridge
    driver_opts:
      com.docker.network.driver.mtu: 1450
